/[gentoo-x86]/net-im/licq/licq-1.3.0_pre-r3.ebuild
Gentoo

Contents of /net-im/licq/licq-1.3.0_pre-r3.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (show annotations) (download)
Sun Aug 22 12:36:05 2004 UTC (13 years, 3 months ago) by voxus
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
refixed gpgme

1 # Copyright 1999-2004 Gentoo Foundation
2 # Distributed under the terms of the GNU General Public License v2
3 # $Header: /var/cvsroot/gentoo-x86/net-im/licq/licq-1.3.0_pre-r3.ebuild,v 1.1 2004/08/21 19:29:56 voxus Exp $
4
5 inherit eutils
6
7 DESCRIPTION="ICQ Client with v8 support"
8 HOMEPAGE="http://www.licq.org/"
9 SRC_URI="mirror://sourceforge/${PN}/${P/_pre/-PRE}.tar.bz2"
10
11 LICENSE="GPL-2"
12 SLOT="2"
13 KEYWORDS="~x86 ~ppc ~sparc ~alpha ~ia64 ~amd64"
14 IUSE="ssl socks5 qt kde ncurses crypt"
15
16 # we can't have conditional dependencies so "use kde && inherit kde"
17 # won't work -- messes up dep caching.
18
19 # need-kde and their eclass friends inject things into DEPEND. But we only
20 # want them enabled if the kde USE flag is set. We get around this in the
21 # following dep lines:
22 RDEPEND="kde? ( >=kde-base/kdelibs-3.0 )"
23 DEPEND="kde? ( >=kde-base/kdelibs-3.0 )
24 ssl? ( >=dev-libs/openssl-0.9.6 )
25 qt? ( >=x11-libs/qt-3.0.0 )
26 ncurses? ( sys-libs/ncurses )
27 crypt? ( =app-crypt/gpgme-0.3.14-r1 )"
28
29 S=${WORKDIR}/${PN}-${PV/_pre/-PRE}
30
31 src_unpack() {
32 unpack ${A}
33
34 if use kde
35 then
36 # fix for #12436
37 ebegin "Setting kde plugin as default..."
38 cp ${S}/src/licq.conf.h ${T}
39 sed "s:Plugin1 = qt-gui:Plugin1 = kde-gui:" \
40 ${T}/licq.conf.h > ${S}/src/licq.conf.h
41 eend $?
42 else
43 if ! use qt
44 then
45 ebegin "Setting console plugin as default..."
46 cp ${S}/src/licq.conf.h ${T}
47 sed "s:Plugin1 = qt-gui:Plugin1 = console:" \
48 ${T}/licq.conf.h > ${S}/src/licq.conf.h
49 eend $?
50 fi
51 fi
52
53 cd ${S}/src && epatch ${FILESDIR}/${PV/_pre/}-upgradepath.patch || \
54 ewarn "Fail to fix upgrade path, forget it"
55
56 cd ${S}/plugins/qt-gui && \
57 epatch ${FILESDIR}/1.3.0-no_stupid_koloboks.patch || \
58 ewarn "Fail to kill koloboks, forget it"
59
60 cd src && epatch ${FILESDIR}/1.3.0-gcc3.4.patch || \
61 ewarn "GCC3.4 patch failed.."
62 }
63
64 src_compile() {
65 local first_conf
66 use ssl || myconf="${myconf} --disable-openssl"
67 use socks5 && myconf="${myconf} --enable-socks5"
68 if use crypt
69 then
70 myconf="${myconf} --disable-gpgme"
71 epatch ${FILESDIR}/1.3.0-gpgme3_hack.patch
72 fi
73
74 econf ${myconf} || die
75 emake || die
76
77 # Create the various plug-ins
78
79 # First, the Qt plug-in
80 if use qt
81 then
82 # A hack to build against the latest QT:
83 local v
84 for v in /usr/qt/[0-9]
85 do
86 [ -d "${v}" ] && export QTDIR="${v}"
87 done
88 use kde && kde_src_compile myconf
89 use kde && myconf="${myconf} --with-kde"
90
91 # note! watch the --prefix=/usr placement;
92 # licq itself installs into /usr, but the
93 # optional kde/qt interface (to which second_conf belogns)
94 # installs its files in $KDE3DIR/{lib,share}/licq
95
96 cd ${S}/plugins/qt-gui
97 einfo "Compiling Qt GUI plug-in"
98 econf ${myconf} || die
99 emake || die
100 fi
101
102 # Now the console plug-in
103 if use ncurses
104 then
105 cd ${S}/plugins/console
106 einfo "Compiling the Console plug-in"
107 econf || die
108 emake || die
109 fi
110
111 # The Auto-Responder plug-in
112 cd ${S}/plugins/auto-reply
113 einfo "Compiling the Auto-Reply plug-in"
114 econf || die
115 emake || die
116
117 # The Remote Management Service
118 cd ${S}/plugins/rms
119 einfo "Compiling Remote Management Services plug-in"
120 econf || die
121 emake || die
122 }
123
124 src_install() {
125 make DESTDIR=${D} install || die
126
127 dodoc ChangeLog INSTALL README* doc/*
128
129 # Install the plug-ins
130 if use qt
131 then
132 cd ${S}/plugins/qt-gui
133 make DESTDIR=${D} install || die
134 docinto plugins/qt-gui
135 dodoc README*
136
137 fi
138
139 if use ncurses
140 then
141 cd ${S}/plugins/console
142 make DESTDIR=${D} install || die
143 docinto plugins/console
144 dodoc README
145 fi
146
147
148 cd ${S}/plugins/auto-reply
149 make DESTDIR=${D} install || die
150 docinto plugins/auto-reply
151 dodoc README licq_autoreply.conf
152
153 cd ${S}/plugins/rms
154 make DESTDIR=${D} install || die
155 docinto plugins/rms
156 dodoc README licq_rms.conf
157
158 insinto /usr/share/${PN}/upgrade
159 doins ${S}/upgrade/*
160
161 # fixes bug #22136
162 rm -fR ${D}/var
163 }
164
165 pkg_postinst() {
166 echo
167 ewarn
168 ewarn "If you're upgrading from <=licq-1.3.0 - you have to manually "
169 ewarn "upgrade your existing licq installation. Please backup your "
170 ewarn "settings and run: /usr/share/licq/upgrade/upgrade-1.3.0.sh"
171 ewarn
172 echo
173 }

  ViewVC Help
Powered by ViewVC 1.1.20